#pragma once

#include "PreCompiledHeaders.hh"

namespace Vivy::Ass
{
class Style;
class Line;

using StylePtr = std::shared_ptr<Style>;
using LinePtr  = std::shared_ptr<Line>;

using StyleWeakPtr = std::weak_ptr<Style>;
using LineWeakPtr  = std::weak_ptr<Line>;

}

Q_DECLARE_METATYPE(Vivy::Ass::LinePtr)
