use crate::{reader::ASSElementReader, ASSContainer, ASSElementReaderError, AuxTable};
use std::io;

/// Documentation available here: http://www.tcax.org/docs/ass-specs.html or in the `utils/manual`
/// folder.
#[derive(Debug, Default)]
pub struct JSONReader {}

impl<T: AuxTable> ASSElementReader<T> for JSONReader {
    fn try_read(self, _file: impl io::BufRead) -> Result<ASSContainer<T>, ASSElementReaderError> {
        todo!()
    }
}
