#!/bin/bash

COUNTER=0
FILE=utils/rsc/VivyPartialIcons.tmp

echo -ne "" > $FILE

find -L utils/rsc/icons/vivy/ -type l -exec rm -- {} +

shopt -s globstar
for ICON in utils/rsc/icons/vivy/**/*.svg
do
    COUNTER=$(( $COUNTER + 1 ))
    ICON=$(echo "$ICON" | sed -e 's+utils/rsc/++g')
    echo "    <file>$ICON</file>" >> $FILE
done

cat << EOF
Generated partial qrc file for $COUNTER icons from the Vivy icon theme.
Add the content of $FILE to the utils/rsc/VivyRessources.qrc file.
EOF
