#pragma once

#ifndef __cplusplus
#error "This is a C++ header"
#endif

#include "PreCompiledHeaders.hh"
#include "Lib/AbstractDocument.hh"
#include "Lib/Uuid.hh"

class QTextDocument;

namespace Vivy
{
class ScriptDocument final : public AbstractDocument {
public:
    explicit ScriptDocument(const QString &name);

    void copy(const QString &) override;
    void rename(const QString &) override;
    void save() override;

    void attachTextDocument(const QTextDocument *const) noexcept;

private:
    const QTextDocument *textDocument{ nullptr };
};
}
