//! Contains wrappers for the styles.

use crate::StringSlice;
use vvs_ass::ASSStyle;

/// Get the name of the style.
///
/// # Safety
/// It is up to the user to ensure that the style is not dropped before the returned pointer.
#[no_mangle]
pub extern "C" fn ASSStyleGetName(this: &ASSStyle) -> StringSlice {
    StringSlice::from(&this.name)
}
